Subject: Re: bug#27605: Lightweight desktop example fails to build with kernel panic

From: [email-masked] (Ludovic Courtès)
Date: Fri, 07 Jul 2017 15:39:56 +0200

Leo Famulari <[email-masked]> skribis:

> On Fri, Jul 07, 2017 at 02:23:05PM +0200, Ludovic Courtès wrote:
>> Did you pass --image-size?  If not, it could be that the image size
>> estimate is slightly too small (see commit
>> a8ac4f081a9a679498ea42ccfe001f218bba3043).
>> 
>> The build log should contain something like:
>> 
>>   creating ~a image of ~,2f MiB...
>> 
>> where ~a is “raw” or “qcow2” depending on the “guix system” command you
>> used.
>> 
>> Could you check what happens if you pass a --image-size argument bigger
>> than that?
>
> I doubled it from ~10 GiB to ~20 GiB:
>
>> creating qcow2 image of 19359.59 MiB...
>
> This example template uses EFI, which I'm not that familiar with. But I
> suspect something about the bootloader or filesystems configuration is
> wrong.
>
> From 'gnu/system/examples/lightweight-desktop.tmpl':
>
>   ;; Use the UEFI variant of GRUB with the EFI System
>   ;; Partition on /dev/sda1.
>   (bootloader (grub-configuration (grub grub-efi)
>                                   (device "/dev/sda1")))

Oh right, so the failure is probably unrelated to the image-size
estimate.

Marius, any ideas?  :-)

  https://bugs.gnu.org/27605

Thanks,
Ludo’.